function genName = getGeneratorName( folderName )
    genName = char( folderName );
    genName = regexprep(genName, '(?<!^)([A-Z])', ' $1');
    genName = regexprep(genName, '(?<=[a-zA-Z])([0-9])', ' $1');
end

